Skip to main content
GET
List competitions

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

wodup-gym
string

Only used by platform integrations
ID of gym to execute on behalf of

Example:

"gym_123abc"

Query Parameters

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

Required range: 1 <= x <= 100
Example:

50

after_cursor
string

A cursor for use in pagination. after_cursor is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after_cursor=obj_foo in order to fetch the next page of the list.

Example:

"ath_abcdef"

before_cursor
string

A cursor for use in pagination. before_cursor is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include before_cursor=obj_bar in order to fetch the previous page of the list.

Example:

"ath_abcdef"

Response

list competitions response

description
string
required

Competition description

divisions
Division · object[]
required

List of divisions in the competition

events
Event · object[]
required

List of events in the competition

id
string
required

Competition ID

name
string
required

Competition name

status
enum<string>
required

Competition status

Available options:
published,
draft
time_zone
string
required

Competition time zone

registration_closes_at
string<date-time>

When competition registration closes. ISO8601 timestamp in UTC

registration_opens_at
string<date-time>

When competition registration opens. ISO8601 timestamp in UTC

video_url
string | null

Competition video URL

Example: